import java.io.PrintStream;

public class MyWorld {
    private Robot r;
    private double t;
    private PrintStream out;
    
    public MyWorld(PrintStream output) {
        this.out = output;
        this.r = null;
        this.t = 0;
    }

    public void setRobot(Robot r) {
        this.r = r;
    }

    public void printStateDescription() {
        String s = "Time" + ",\t" + r.getDescription();
        this.out.println(s);
    }

    private void printState(double t) {
        this.out.println(String.format("%.3f", t) + ",\t" + r.toString());
    }


}
